#include <iostream>

#include "ListString.hpp"

using namespace std;

int main()
{
    ListString matin;

    for ( const char* groupe : { "Iron Maiden", "Powerwolf", "Sabbaton"} )
        matin.push_back(groupe);

    cout << "Size: "<< matin.size() << endl;

    // Parcours grâce à une position dans la liste
    for ( ListString::Position iter = matin.begin() ;
         iter.valid();
         iter.inc() )
        cout << iter.value() << endl;

    ListString::Position sabbaton = matin.find("Sabbaton");

    if ( ! sabbaton.valid() ) {
        cout << "J'ai perdu Sabatton!";
    } else {
        matin.insert(sabbaton, "Ultra Vomit");
    }    

    affiche(matin);

    // Surcharge d'opérateur
    cout << matin << endl;
    return 0;
}
